Index: WAeUP_SRP/fceokene/waeup_custom/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/apply_admission_manage_form.pt	(revision 2687)
+++ WAeUP_SRP/fceokene/waeup_custom/apply_admission_manage_form.pt	(revision 2724)
@@ -20,11 +20,23 @@
             <table tal:define="info_applicants context/getApplicantsStatistics">
             <tr> 
-              <td>PCE Applications - submitted:</td> 
+              <td>PCE Applicants (status submitted):</td> 
               <td><span tal:replace="info_applicants/submitted_pce" /></td>  
             </tr>
             <tr> 
-              <td>Pre-NCE Applications - submitted:</td> 
-              <td><span tal:replace="info_applicants/admitted_prence" /></td>  
+              <td>Pre-NCE Applicants (status submitted):</td> 
+              <td><span tal:replace="info_applicants/submitted_prence" /></td>
             </tr>
+            <tr> 
+              <td>All Applicants (status admitted):</td> 
+              <td><span tal:replace="info_applicants/admitted" /></td>  
+            </tr>
+            <tr> 
+              <td>All Applicants (status student record created):</td> 
+              <td><span tal:replace="info_applicants/created" /></td>
+            </tr>            
+            <tr> 
+              <td>All Applicants (status not admitted):</td> 
+              <td><span tal:replace="info_applicants/not_admitted" /></td>  
+            </tr>    
             </table>            
             
@@ -55,15 +67,8 @@
                    
                    
-                   
-                   
-                   
             <input type="submit" class="standalone" 
                    name="edit"
                    value="Save" 
                    />                   
-                   
-                   
-                   
-                   
                    
             <br /><br />
Index: WAeUP_SRP/fceokene/waeup_custom/getApplicantsStatistics.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getApplicantsStatistics.py	(revision 2687)
+++ WAeUP_SRP/fceokene/waeup_custom/getApplicantsStatistics.py	(revision 2724)
@@ -22,10 +22,15 @@
 
 info = {}
-
 res_submitted_pce = context.applicants_catalog(status = 'submitted', screening_type = 'pce')
-res_admitted_prence = context.applicants_catalog(status = 'submitted', screening_type = 'prence')
+res_not_admitted = context.applicants_catalog(status = 'not admitted')
+res_submitted_prence = context.applicants_catalog(status = 'submitted', screening_type = 'prence')
+res_admitted = context.applicants_catalog(status = 'admitted')
+res_created = context.applicants_catalog(status = 'created')
 
 info['submitted_pce'] = len(res_submitted_pce)
-info['admitted_prence'] = len(res_admitted_prence)
+info['admitted'] = len(res_admitted)
+info['not_admitted'] = len(res_not_admitted)
+info['submitted_prence'] = len(res_submitted_prence)
+info['created'] = len(res_created)
 
 return info
@@ -33,3 +38,2 @@
 
 
-
Index: WAeUP_SRP/fceokene/waeup_custom/getNewStudentStatistics.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getNewStudentStatistics.py	(revision 2687)
+++ 	(revision )
@@ -1,116 +1,0 @@
-## Script (Python) "getNewStudentStatistics"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id: getStudentStatistics.py 1277 2007-01-11 21:11:37Z joachim $
-"""
-return Student Statistics
-"""
-
-import logging
-logger = logging.getLogger('Skins.getNewStudentStatistics')
-
-logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
-if not context.isStaff():
-    return 'Not allowed'
-
-entry_sessions = (context.getSessionId()[0])
-
-# students with entry_session None (-1) are interprteted as new AND returning students if they are
-# in either of the last three states
-
-new_states =      ('admitted',
-                   'clearance_pin_entered',
-                   'objection_raised',
-                   'clearance_requested',
-                   'cleared_and_validated',
-                   'school_fee_paid',
-                   'courses_registered',
-                   'courses_validated',
-                   )
-
-full_time =       ('ume_ft','de_ft','ug_ft','pg_ft')
-part_time =       (         'de_pt','ug_pt','pg_pt')
-
-faculties = context.portal_catalog(portal_type="Faculty")
-
-l = []
-
-
-fac_res = {}
-
-dict = {}
-dict['id'] = 'All Schools'
-dict['title'] = 'All Schools'
-
-res_ft = context.students_catalog(entry_session = entry_sessions,  mode = full_time, review_state = new_states)
-dict['total_ft'] = len(res_ft)
-
-res_pt = context.students_catalog(entry_session = entry_sessions,  mode = part_time, review_state = new_states)
-dict['total_pt'] = len(res_pt)
-
-for state in new_states:
-    # full_time
-    res_ft = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = full_time)
-    state_ft = state + '_ft'
-    dict[state_ft] = len(res_ft)
-    statepercent = state+'_ft_percent'
-    if dict['total_ft'] > 0:
-        dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
-    else:
-        dict[statepercent] = 0
-
-    # part_time
-    res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time)
-    state_pt = state + '_pt'
-    dict[state_pt] = len(res_pt)
-    statepercent = state+'_pt_percent'
-    if dict['total_pt'] > 0:
-        dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
-    else:
-        dict[statepercent] = 0
-
-l.append(dict)
-
-
-for f in faculties:
-    dict = {}
-    dict['id'] = f.getId
-    dict['title'] = f.Title
-    res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = full_time)
-    dict['total_ft'] = len(res_ft)
-    res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = part_time)
-    dict['total_pt'] = len(res_pt)
-    for state in new_states:
-        # full_time
-        res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = full_time)
-        state_ft = state + '_ft'
-        dict[state_ft] = len(res_ft)
-        statepercent = state+'_ft_percent'
-        if dict['total_ft'] > 0:
-            dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
-        else:
-            dict[statepercent] = 0
-
-        # part_time
-        res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time)
-        state_pt = state + '_pt'
-        dict[state_pt] = len(res_pt)
-        statepercent = state+'_pt_percent'
-        if dict['total_pt'] > 0:
-            dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
-        else:
-            dict[statepercent] = 0
-
-    l.append(dict)
-
-
-
-return l
-
-
Index: WAeUP_SRP/fceokene/waeup_custom/getRetStudentStatistics.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getRetStudentStatistics.py	(revision 2687)
+++ 	(revision )
@@ -1,106 +1,0 @@
-## Script (Python) "getRetStudentStatistics"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id: getStudentStatistics.py 1277 2007-01-11 21:11:37Z joachim $
-"""
-return Student Statistics
-"""
-
-import logging
-logger = logging.getLogger('Skins.getRetStudentStatistics')
-
-logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
-if not context.isStaff():
-    return 'Not allowed'
-
-entry_sessions = ('','-1','94','95','96','97','98','99','00','01','02','03','04','05','06','0','1','2','3','4','5','6')
-
-ret_states =      ('returning',
-                   'school_fee_paid',
-                   'courses_registered',
-                   'courses_validated',
-                   )
-full_time =       ('ume_ft','de_ft','ug_ft','pg_ft')
-part_time =       (         'de_pt','ug_pt','pg_pt')
-
-faculties = context.portal_catalog(portal_type="Faculty")
-
-l = []
-
-
-fac_res = {}
-
-dict = {}
-dict['id'] = 'All Schools'
-dict['title'] = 'All Schools'
-
-res_ft = context.students_catalog(entry_session = entry_sessions,  mode = full_time, review_state = ret_states)
-dict['total_ft'] = len(res_ft)
-
-res_pt = context.students_catalog(entry_session = entry_sessions,  mode = part_time, review_state = ret_states)
-dict['total_pt'] = len(res_pt)
-
-for state in ret_states:
-    # full_time
-    res_ft = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = full_time)
-    state_ft = state + '_ft'
-    dict[state_ft] = len(res_ft)
-    statepercent = state+'_ft_percent'
-    if dict['total_ft'] > 0:
-        dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
-    else:
-        dict[statepercent] = 0
-
-    # part_time
-    res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time)
-    state_pt = state + '_pt'
-    dict[state_pt] = len(res_pt)
-    statepercent = state+'_pt_percent'
-    if dict['total_pt'] > 0:
-        dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
-    else:
-        dict[statepercent] = 0
-
-l.append(dict)
-
-
-for f in faculties:
-    dict = {}
-    dict['id'] = f.getId
-    dict['title'] = f.Title
-    res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = full_time)
-    dict['total_ft'] = len(res_ft)
-    res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = part_time)
-    dict['total_pt'] = len(res_pt)
-    for state in ret_states:
-        # full_time
-        res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = full_time)
-        state_ft = state + '_ft'
-        dict[state_ft] = len(res_ft)
-        statepercent = state+'_ft_percent'
-        if dict['total_ft'] > 0:
-            dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
-        else:
-            dict[statepercent] = 0
-
-        # part_time
-        res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time)
-        state_pt = state + '_pt'
-        dict[state_pt] = len(res_pt)
-        statepercent = state+'_pt_percent'
-        if dict['total_pt'] > 0:
-            dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
-        else:
-            dict[statepercent] = 0
-
-    l.append(dict)
-
-return l
-
-
Index: WAeUP_SRP/fceokene/waeup_custom/getSimpleStudentStatistics.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getSimpleStudentStatistics.py	(revision 2687)
+++ WAeUP_SRP/fceokene/waeup_custom/getSimpleStudentStatistics.py	(revision 2724)
@@ -18,7 +18,6 @@
 logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 if not context.isStaff():
-    return 'Not allowed'
+    return
 
-#entry_sessions = ('-1','94','95','96','97','98','99','00','01','02','03','04','05','0','1','2','3','4','5')
 
 catA =      (      'school_fee_paid',
@@ -31,5 +30,6 @@
                    )
 
-catC =      (      'returning',
+catC =      (      'student_created',
+                   'returning',
                    'admitted',
                    'clearance_pin_entered',
@@ -39,8 +39,10 @@
                    )
 
+current_session = context.getSessionId()[0]
 
-full_time =       ('ume_ft','de_ft','ug_ft','pg_ft')
-part_time =       (         'de_pt','ug_pt','pg_pt')
-diploma   =       ('dp_ft','dp_pt')
+
+full_time =       ('ume_ft','')
+part_time =       ()
+diploma   =       ()
 
 
@@ -65,29 +67,29 @@
 dict['total_dp'] = len(res_dp)
 
-res_Aft = context.students_catalog(review_state = catA, mode = full_time)
+res_Aft = context.students_catalog(review_state = catA, mode = full_time, session = current_session)
 dict['total_Aft'] = len(res_Aft)
 
-res_Apt = context.students_catalog(review_state = catA, mode = part_time)
+res_Apt = context.students_catalog(review_state = catA, mode = part_time, session = current_session)
 dict['total_Apt'] = len(res_Apt)
 
-res_Adp = context.students_catalog(review_state = catA, mode = diploma)
+res_Adp = context.students_catalog(review_state = catA, mode = diploma, session = current_session)
 dict['total_Adp'] = len(res_Adp)
 
-res_Bft = context.students_catalog(review_state = catB, mode = full_time)
+res_Bft = context.students_catalog(review_state = catB, mode = full_time, session = current_session)
 dict['total_Bft'] = len(res_Bft)
 
-res_Bpt = context.students_catalog(review_state = catB, mode = part_time)
+res_Bpt = context.students_catalog(review_state = catB, mode = part_time, session = current_session)
 dict['total_Bpt'] = len(res_Bpt)
 
-res_Bdp = context.students_catalog(review_state = catB, mode = diploma)
+res_Bdp = context.students_catalog(review_state = catB, mode = diploma, session = current_session)
 dict['total_Bdp'] = len(res_Bpt)
 
-res_Cft = context.students_catalog(review_state = catC, mode = full_time)
+res_Cft = context.students_catalog(review_state = catC, mode = full_time, session = current_session)
 dict['total_Cft'] = len(res_Cft)
 
-res_Cpt = context.students_catalog(review_state = catC, mode = part_time)
+res_Cpt = context.students_catalog(review_state = catC, mode = part_time, session = current_session)
 dict['total_Cpt'] = len(res_Cpt)
 
-res_Cdp = context.students_catalog(review_state = catC, mode = diploma)
+res_Cdp = context.students_catalog(review_state = catC, mode = diploma, session = current_session)
 dict['total_Cdp'] = len(res_Cdp)
 
@@ -95,5 +97,5 @@
 res_total = context.students_catalog()
 dict['total_in_catalog'] = len(res_total)
-dict['not_categorized'] = dict['total_in_catalog'] - dict['total_Aft'] - dict['total_Apt'] - dict['total_Adp'] - dict['total_Cft'] - dict['total_Cpt'] - dict['total_Cdp']
+dict['not_categorized'] = dict['total_in_catalog'] - dict['total_ft'] - dict['total_pt'] - dict['total_dp']
 
 l.append(dict)
@@ -114,29 +116,29 @@
     dict['total_dp'] = len(res_dp)
 
-    res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, mode = full_time)
+    res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, mode = full_time, session = current_session)
     dict['total_Aft'] = len(res_Aft)
 
-    res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, mode = part_time)
+    res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, mode = part_time, session = current_session)
     dict['total_Apt'] = len(res_Apt)
 
-    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, mode = diploma)
+    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, mode = diploma, session = current_session)
     dict['total_Adp'] = len(res_Adp)
 
-    res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, mode = full_time)
+    res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, mode = full_time, session = current_session)
     dict['total_Bft'] = len(res_Bft)
 
-    res_Bpt = context.students_catalog(faculty = f.getId, review_state = catB, mode = part_time)
+    res_Bpt = context.students_catalog(faculty = f.getId, review_state = catB, mode = part_time, session = current_session)
     dict['total_Bpt'] = len(res_Bpt)
 
-    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, mode = diploma)
+    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, mode = diploma, session = current_session)
     dict['total_Bdp'] = len(res_Bpt)
 
-    res_Cft = context.students_catalog(faculty = f.getId, review_state = catC, mode = full_time)
+    res_Cft = context.students_catalog(faculty = f.getId, review_state = catC, mode = full_time, session = current_session)
     dict['total_Cft'] = len(res_Cft)
 
-    res_Cpt = context.students_catalog(faculty = f.getId, review_state = catC, mode = part_time)
+    res_Cpt = context.students_catalog(faculty = f.getId, review_state = catC, mode = part_time, session = current_session)
     dict['total_Cpt'] = len(res_Cpt)
 
-    res_Cdp = context.students_catalog(faculty = f.getId, review_state = catC, mode = diploma)
+    res_Cdp = context.students_catalog(faculty = f.getId, review_state = catC, mode = diploma, session = current_session)
     dict['total_Cdp'] = len(res_Cdp)
 
Index: WAeUP_SRP/fceokene/waeup_custom/statistics_new_view.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/statistics_new_view.pt	(revision 2687)
+++ 	(revision )
@@ -1,159 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-  <metal:main fill-slot="main">
-  <metal:block tal:define="faculties context/getNewStudentStatistics;
-                        mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;">       
-
-      <span tal:condition="not: faculties">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="faculties">
-  
-      <strong>
-      <nobr><a href="search_students">Search Students</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-      </strong>     
-
-      <h3>New Student Statistics</h3>
-      <br />      
-      <span tal:condition="not:isAnon">
-
-      <h3>Full-Time Students (UME, DE, UG, PG)</h3>
-      <br />      
-      
-        <table>
-          <tr class="odd ajaxtd">
-            <th >School</th>
-            <th align="right">Total New</th>
-            <th align="right">AD</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-
-          </tr>
-          <tr tal:repeat="d faculties"
-              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
-                <span tal:content="d/total_ft" />
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/admitted_ft" />
-                (<span tal:content="d/admitted_ft_percent" />%)
-              </td>              
-              <td width="80px" align="right"> 
-                <span tal:content="d/objection_raised_ft" />
-                (<span tal:content="d/objection_raised_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/clearance_pin_entered_ft" />
-                (<span tal:content="d/clearance_pin_entered_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/clearance_requested_ft" />
-                (<span tal:content="d/clearance_requested_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/cleared_and_validated_ft" />
-                (<span tal:content="d/cleared_and_validated_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/school_fee_paid_ft" />
-                (<span tal:content="d/school_fee_paid_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_registered_ft" />
-                (<span tal:content="d/courses_registered_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_validated_ft" />
-                (<span tal:content="d/courses_validated_ft_percent" />%)
-              </td>                                          
-
-          </tr>
-        </table>
-
-      <h3>Part-Time Students (DE, UG, PG)</h3>
-      <br />      
-
-        <table>
-          <tr class="odd ajaxtd">
-            <th >School</th>
-            <th align="right">Total New</th>
-            <th align="right">AD</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-
-          </tr>
-          <tr tal:repeat="d faculties"
-              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
-                <span tal:content="d/total_pt" />
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/admitted_pt" />
-                (<span tal:content="d/admitted_pt_percent" />%)
-              </td>              
-              <td width="80px" align="right"> 
-                <span tal:content="d/objection_raised_pt" />
-                (<span tal:content="d/objection_raised_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/clearance_pin_entered_pt" />
-                (<span tal:content="d/clearance_pin_entered_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/clearance_requested_pt" />
-                (<span tal:content="d/clearance_requested_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/cleared_and_validated_pt" />
-                (<span tal:content="d/cleared_and_validated_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/school_fee_paid_pt" />
-                (<span tal:content="d/school_fee_paid_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_registered_pt" />
-                (<span tal:content="d/courses_registered_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_validated_pt" />
-                (<span tal:content="d/courses_validated_pt_percent" />%)
-              </td>                                          
-
-          </tr>
-        </table>
-
-
-
-        <br />
-        <table>
-        <tr><td>AD:</td> <td>Admitted</td></tr>
-        <tr><td>OR:</td> <td>Objection raised</td></tr>
-        <tr><td>CPE:</td> <td>Clearance PIN entered</td></tr>
-        <tr><td>CR: </td> <td>Clearance requested</td></tr>
-        <tr><td>VC: </td> <td>Validated and cleared</td></tr>
-        <tr><td>SFP: </td> <td>School fee paid</td></tr>
-        <tr><td>CLR: </td> <td>Course list registered</td></tr>
-        <tr><td>CLV: </td> <td>Course list validated</td></tr>                
-        </table>
-      </span>
-      </span>
-  </metal:block>      
-  </metal:main>
-</metal:body>
-      
Index: WAeUP_SRP/fceokene/waeup_custom/statistics_ret_view.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/statistics_ret_view.pt	(revision 2687)
+++ 	(revision )
@@ -1,115 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-  <metal:main fill-slot="main">
-  <metal:block tal:define="faculties context/getRetStudentStatistics;
-                        mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;">       
-
-      <span tal:condition="not: faculties">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="faculties">
-  
-      <strong>
-      <nobr><a href="search_students">Search Students</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
-      <nobr><a href="statistics_new_view">New Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-      </strong>     
-
-      <h3>Returning Student Statistics</h3>
-      <br />      
-      <span tal:condition="not:isAnon">
-
-      <h3>Full-Time Students (UME, DE, UG, PG)</h3>
-      <br />            
-      
-        <table>
-          <tr class="odd ajaxtd">
-            <th >School</th>
-            <th align="right">Total</th>
-            <th align="right">RET</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-
-          </tr>
-          <tr tal:repeat="d faculties"
-              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
-                <span tal:content="d/total_ft" />
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/returning_ft" />
-                (<span tal:content="d/returning_ft_percent" />%)
-              </td>              
-              <td width="80px" align="right"> 
-                <span tal:content="d/school_fee_paid_ft" />
-                (<span tal:content="d/school_fee_paid_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_registered_ft" />
-                (<span tal:content="d/courses_registered_ft_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_validated_ft" />
-                (<span tal:content="d/courses_validated_ft_percent" />%)
-              </td>                                          
-
-          </tr>
-        </table>
-
-      <h3>Part-Time Students (DE, UG, PG)</h3>
-      <br />           
-
-        <table>
-          <tr class="odd ajaxtd">
-            <th >School</th>
-            <th align="right">Total</th>
-            <th align="right">RET</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-
-          </tr>
-          <tr tal:repeat="d faculties"
-              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
-                <span tal:content="d/total_pt" />
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/returning_pt" />
-                (<span tal:content="d/returning_pt_percent" />%)
-              </td>              
-              <td width="80px" align="right"> 
-                <span tal:content="d/school_fee_paid_pt" />
-                (<span tal:content="d/school_fee_paid_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_registered_pt" />
-                (<span tal:content="d/courses_registered_pt_percent" />%)
-              </td>
-              <td width="80px" align="right"> 
-                <span tal:content="d/courses_validated_pt" />
-                (<span tal:content="d/courses_validated_pt_percent" />%)
-              </td>                                          
-
-          </tr>
-        </table>
-
-        
-        <br />
-        <table>
-        <tr><td>Total: </td> <td>Those who have logged in</td></tr>
-        <tr><td>RET: </td> <td>Returning</td></tr>
-        <tr><td>SFP: </td> <td>School fee paid</td></tr>
-        <tr><td>CLR: </td> <td>Course list registered</td></tr>
-        <tr><td>CLV: </td> <td>Course list validated</td></tr>                
-        </table>
-      </span>
-      </span>
-  </metal:block>      
-  </metal:main>
-</metal:body>
-      
Index: WAeUP_SRP/fceokene/waeup_custom/statistics_simple_view.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/statistics_simple_view.pt	(revision 2687)
+++ 	(revision )
@@ -1,136 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-  <metal:main fill-slot="main">
-  <metal:block tal:define="faculties context/getSimpleStudentStatistics;
-                        mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;">       
-
-      <span tal:condition="not: faculties">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="faculties">
-  
-      <strong>
-      <nobr><a href="search_students">Search Students</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
-      <nobr><a href="statistics_new_view">New Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-      </strong>     
-
-      <h3>Basic Student Statistics</h3>
-      <br />      
-      <span tal:condition="not:isAnon">
-      Student records imported: <span tal:content="python: faculties[0]['total_in_catalog']" />
-      <br />  <br />  
-        <table >  
-
-          <tr>
-            <th>&nbsp;</th>
-            
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Total</th>
-            
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category A</th>
-
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category B</th>
-
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category C</th>
-
-
-          </tr>
-
-          <tr class="odd ajaxtd">
-            <th >School</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-
-          </tr>
-          <tr tal:repeat="d faculties"
-              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
-              <td width="80px"> <span tal:content="d/id" /> </td>
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_ft" />
-              </td>              
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_pt" />
-              </td>              
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_dp" />
-              </td>                 
-              
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Aft" />
-              </td>              
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Apt" />
-              </td>              
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Adp" />
-              </td>              
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Bft" />
-              </td>              
-
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Bpt" />
-              </td>              
-              
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Bdp" />
-              </td>      
-              
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Cft" />
-              </td>      
-              
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Cpt" />
-              </td>      
-              
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Cdp" />
-              </td>                                                
-
-                                       
-
-          </tr>
-        </table>
-
-        <br />
-        <table   border=0>
-
-        <tr><td>Category A: </td> <td>students who paid their school fee</td></tr>
-        <tr><td>Category B: </td> <td>students who registered their courses online (A contains B)</td></tr>
-        <tr><td>Category C: </td> <td>students who have not yet paid their school fee</td></tr>
-        <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
-        <tr><td colspan="2"><strong>Notice:</strong> Category C is not complete. 
-                <span tal:content="python: faculties[0]['not_categorized']" /> returning full-time students have not yet logged in and are thus not categorized. 
-             </td>
-        </tr>
-          
-        </table>
-        
-        
-        
-      </span>
-      </span>
-  </metal:block>      
-  </metal:main>
-</metal:body>
-      