Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2726)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2727)
@@ -757,4 +757,6 @@
         "create Datastructure for an admitted Student"
         #import pdb;pdb.set_trace()
+        if not hasattr(self,"_v_certificates"):
+            self._v_certificates = [entry[0] for entry in self.getCertificatesVoc()]
         students_folder = self.portal_url.getPortalObject().campus.students
         logger = logging.getLogger('WAeUPTool.admitOneStudent')
@@ -765,4 +767,7 @@
         if len(pin_parts) != 3:
             logger.info('invalid pin %s for %s' % (brain.pin,brain.reg_no))
+            return
+        if brain.course_admitted not in self._v_certificates:
+            logger.info('certificate %s not found for %s' % (brain.course_admitted,brain.reg_no))
             return
         student_id = self.generateStudentId('?')
Index: WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py	(revision 2727)
+++ WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py	(revision 2727)
@@ -0,0 +1,13 @@
+##parameters=key=None 
+# $Id$
+"""
+Return the faculties as an vocabulary
+
+"""
+if key is None:
+    res = context.portal_catalog.search({'meta_type': "Certificate"})    
+    return [(d.getId,d.Title,) for d in res]
+res = context.portal_catalog.search({'meta_type': "Certificate", 'id': key})
+if res:
+    return [-1].Title
+return "unknown Faculty %s" % key
Index: WAeUP_SRP/base/skins/waeup_academics/get_departments_voc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/get_departments_voc.py	(revision 2726)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##parameters=key=None
-# $Id$
-"""
-Return the faculties as an vocabulary
-
-"""
-if key is None:
-    res = context.portal_catalog.search({'meta_type': "Department"})    
-    return [(d.getId(),d.Title,) for d in res]
-res = context.portal_catalog.search({'meta_type': "Department", 'id': key})
-if res:
-    return res[-1].Title
-return "unknown Department %s" % key
-
Index: WAeUP_SRP/base/skins/waeup_academics/get_faculties_voc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/get_faculties_voc.py	(revision 2726)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=key=None 
-# $Id$
-"""
-Return the faculties as an vocabulary
-
-"""
-if key is None:
-    res = context.portal_catalog.search({'meta_type': "Faculty"})    
-    return [(d.getId,d.Title,) for d in res]
-res = context.portal_catalog.search({'meta_type': "Faculty", 'id': key})
-if res:
-    return [-1].Title
-return "unknown Faculty %s" % key
Index: WAeUP_SRP/base/skins/waeup_student/admitStudents.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/admitStudents.py	(revision 2726)
+++ WAeUP_SRP/base/skins/waeup_student/admitStudents.py	(revision 2727)
@@ -52,7 +52,7 @@
         context.waeup_tool.doCommit()
         logger.info("Committing %s transactions, total %s" % (commit_after,count))
-        #cocount += 1
-        #if cocount > 1:
-        #    break
+        # cocount += 1
+        # if cocount > 1:
+        #     break
     brain = aq_applicants(Eq('reg_no',reg_no))[0]
     #logger.info("start creating  objects of student %s" % (brain.reg_no))
@@ -64,5 +64,5 @@
         admitted += 1
     else:
-        logger.info("could not create objects of student %s with pin " % (reg_no,brain.pin))
+        logger.info("could not create objects of student %s with pin %s" % (reg_no,brain.pin))
 
 msg = "finished admitting %d students" % (admitted)
Index: WAeUP_SRP/uniben/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies.xml	(revision 2726)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies.xml	(revision 2727)
@@ -17,4 +17,5 @@
  <object name="get_departments_voc" meta_type="CPS Method Vocabulary"/>
  <object name="get_faculties_voc" meta_type="CPS Method Vocabulary"/>
+ <object name="get_certificates_voc" meta_type="CPS Method Vocabulary"/>
  <object name="groups_voc" meta_type="CPS Method Vocabulary"/>
  <object name="waeup_bed_letters" meta_type="CPS Vocabulary"/>
@@ -28,4 +29,6 @@
  <object name="religion" meta_type="CPS Vocabulary"/>
  <object name="sessions" meta_type="CPS Method Vocabulary"/>
+ <object name="payment_types" meta_type="CPS Vocabulary"/>
+ <object name="payment_status" meta_type="CPS Vocabulary"/>
  <object name="exam_types" meta_type="CPS Vocabulary"/>
  <object name="pin_prefixes" meta_type="CPS Vocabulary"/>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/get_certificates_voc.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/get_certificates_voc.xml	(revision 2727)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/get_certificates_voc.xml	(revision 2727)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="get_certificates_voc" meta_type="CPS Method Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="get_vocabulary_method">getCertificatesVoc</property>
+ <property name="add_empty_key">False</property>
+ <property name="empty_key_pos">first</property>
+ <property name="empty_key_value"></property>
+ <property name="empty_key_value_i18n"></property>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/get_departments_voc.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/get_departments_voc.xml	(revision 2726)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/get_departments_voc.xml	(revision 2727)
@@ -5,5 +5,5 @@
  <property name="title_msgid"></property>
  <property name="description"></property>
- <property name="get_vocabulary_method">get_departments_voc</property>
+ <property name="get_vocabulary_method">getDepartmentsVoc</property>
  <property name="add_empty_key">False</property>
  <property name="empty_key_pos">first</property>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/get_faculties_voc.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/get_faculties_voc.xml	(revision 2726)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/get_faculties_voc.xml	(revision 2727)
@@ -5,5 +5,5 @@
  <property name="title_msgid"></property>
  <property name="description"></property>
- <property name="get_vocabulary_method">get_faculties_voc</property>
+ <property name="get_vocabulary_method">getFacultiesVoc</property>
  <property name="add_empty_key">False</property>
  <property name="empty_key_pos">first</property>