Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2730)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2739)
@@ -29,4 +29,59 @@
 request = REQUEST
 
+manage = "manage" in request.keys()
+screening_types = ('prence','pume','pce','pde','cest','pt')
+if not (traverse_subpath and traverse_subpath[0] in screening_types) and not manage:
+    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+configuration = []
+headings = {}
+headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
+headings['pde'] = 'Apply for Post UDE Screening Test (2007/2008)! '
+headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
+headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
+headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
+headings['pt'] = 'Apply for Part Time '
+
+configuration += ('heading',headings),
+headings_slip = {}
+headings_slip['pume'] = 'Post UME Screening (2007/2008) Aknowledgement Slip!'
+headings_slip['pde'] = 'Post UDE Screening (2007/2008) Aknowledgement Slip'
+headings_slip['prence'] = 'Pre-NCE Application (2007/2008) Aknowledgement Slip'
+headings_slip['pce'] = 'PCE Screening (2007/2008) Aknowledgement Slip'
+headings_slip['cest'] = 'Common Entrance Screening (2007/2008) Aknowledgement Slip'
+headings_slip['pt'] = 'Part Time (2007/2008) Aknowledgement Slip'
+configuration += ('heading_slip',headings_slip),
+
+deaddates = {}
+deaddates['pume'] = DateTime.DateTime('2007/08/12 23:59')
+deaddates['pde'] = DateTime.DateTime('2007/11/04 23:59')
+deaddates['prence'] = DateTime.DateTime('2007/8/12 23:59')
+deaddates['pce'] = DateTime.DateTime('2007/8/12 23:59')
+deaddates['cest'] = DateTime.DateTime('2007/8/12 23:59')
+deaddates['pt'] = DateTime.DateTime('2007/12/24 23:59')
+configuration += ('deaddate',deaddates),
+
+deadline = {}
+#deadline['pume'] = '[Date of PUME Deadline]'
+for sct in screening_types:
+    deadline[sct] = deaddates[sct].strftime('%A, %d. %B %Y')
+# deadline['pde'] = 'Sunday, 4th November 2007'
+# deadline['prence'] = '[Date of PRENCE Deadline]'
+# deadline['pce'] = '[Date of PCE Deadline]'
+# deadline['cest'] = '[Date of CEST Deadline]'
+# deadline['pt'] = '[Date of PT Deadline]'
+configuration += ('deadline',deadline),
+
+confirm = {}
+confirm['pume'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
+confirm['pde'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
+confirm['prence'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
+confirm['pce'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
+confirm['cest'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
+confirm['pt'] = """I hereby acknowledge by ticking this check box that if it is discovered
+at any time, that I do not possess any of the qualifications, which I have obtained, I will be
+expelled from the University and shall not be readmitted for the same or any other programme,
+even if I have upgraded my previous qualification or posses additional qualifications."""
+configuration += ('confirm',confirm),
+
 #type_name = 'StudentApplication'
 #ti = context.portal_types[type_name]
@@ -34,7 +89,6 @@
 create = "create" in request.keys()
 apply_admission = "apply" in request.keys()
-edit = "edit" in request.keys()
+edit = "edit" in request.keys() or "cpsdocument_edit_button" in request.form.keys()
 slip = "slip" in request.keys()
-manage = "manage" in request.keys()
 submitted = False
 mode = request.get('mode','')
@@ -83,36 +137,10 @@
 
 
-screening_types = ('prence','pume','pce','pde','cest')
-headings = {}
-headings['pume'] = 'Apply for Post UME Screening Test (2007/2008)! '
-headings['pde'] = 'Apply for Post UDE Screening Test (2007/2008)! '
-headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
-headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
-headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
-headings_slip = {}
-headings_slip['pume'] = 'Post UME Screening (2007/2008) Aknowledgement Slip!'
-headings_slip['pde'] = 'Post UDE Screening (2007/2008) Aknowledgement Slip'
-headings_slip['prence'] = 'Pre-NCE Application (2007/2008) Aknowledgement Slip'
-headings_slip['pce'] = 'PCE Screening (2007/2008) Aknowledgement Slip'
-headings_slip['cest'] = 'Common Entrance Screening (2007/2008) Aknowledgement Slip'
-
-deadline = {}
-deadline['pume'] = '[Date of PUME Deadline]'
-deadline['pde'] = 'Sunday, 4th November 2007'
-deadline['prence'] = '[Date of PRENCE Deadline]'
-deadline['pce'] = '[Date of PCE Deadline]'
-deadline['cest'] = '[Date of CEST Deadline]'
 
 info = {}
 
 info['status'] = object.get('status','')
-
 if traverse_subpath and traverse_subpath[0] in screening_types:
     screening_type = info['screening_type'] = traverse_subpath[0]
-    info['heading'] = headings[screening_type]
-    info['heading_slip'] = headings_slip[screening_type]
-    info['deadline'] = deadline[screening_type]
-    layout = "application_%s" % screening_type
-    without_reg_no = screening_type in ('prence',)
 elif manage:
     if object['screening_type']:
@@ -121,11 +149,10 @@
         st = 'pume'
     screening_type = info['screening_type'] = st
-    info['heading'] = headings[screening_type]
-    info['heading_slip'] = headings_slip[screening_type]
-    info['deadline'] = deadline[screening_type]
-    layout = "application_%s" % screening_type
-    without_reg_no = screening_type in ('prence',)
-else:
-    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+
+for co_name,co_dict in configuration:
+    info[co_name] = co_dict[screening_type]
+layout = "application_%s" % screening_type
+without_reg_no = screening_type in ('prence','pt')
+info['expired'] = current.greaterThan(deaddates[screening_type])
 
 
@@ -173,5 +200,4 @@
         data[field] = dm.get(field)
 data['reg_no'] = reg_no
-
 if apply_admission:
     if submitted:
@@ -232,4 +258,5 @@
                                 )
 elif edit:
+    #set_trace()
     if submitted:
         mode = "view"
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2730)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2739)
@@ -5,5 +5,5 @@
            show_submit options/show_submit|nothing;
            info options/info;
-           expired python:not info['screening_type'] in ('pce','prence');
+           expired info/expired;
            venue_display python:info['screening_type']=='pde';
            deadline info/deadline
@@ -44,5 +44,5 @@
                    value="" 
                    />
-              I confirm that the Passport Photograph uploaded on this form is a true picture of me.
+            <span tal:replace="info/confirm" />
             <br/><br/>
           </metal:block>
@@ -77,5 +77,4 @@
               <br />  <br />  
           </metal:block>          
-          
           <metal:block tal:condition="python: mode in ('create','edit') and not expired">
             <p>Instructions :</p>