Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2739)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2743)
@@ -30,5 +30,5 @@
 
 manage = "manage" in request.keys()
-screening_types = ('prence','pume','pce','pde','cest','pt')
+screening_types = ('prence','pume','pce','pde','cest',)
 if not (traverse_subpath and traverse_subpath[0] in screening_types) and not manage:
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -40,5 +40,5 @@
 headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
 headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
-headings['pt'] = 'Apply for Part Time '
+#headings['pt'] = 'Apply for Local/Part-Time Programmes (2007/2008)'
 
 configuration += ('heading',headings),
@@ -49,5 +49,5 @@
 headings_slip['pce'] = 'PCE Screening (2007/2008) Aknowledgement Slip'
 headings_slip['cest'] = 'Common Entrance Screening (2007/2008) Aknowledgement Slip'
-headings_slip['pt'] = 'Part Time (2007/2008) Aknowledgement Slip'
+#headings_slip['pt'] = 'Part Time (2007/2008) Aknowledgement Slip'
 configuration += ('heading_slip',headings_slip),
 
@@ -55,8 +55,8 @@
 deaddates['pume'] = DateTime.DateTime('2007/08/12 23:59')
 deaddates['pde'] = DateTime.DateTime('2007/11/04 23:59')
-deaddates['prence'] = DateTime.DateTime('2007/8/12 23:59')
+deaddates['prence'] = DateTime.DateTime('2007/12/4 23:59')
 deaddates['pce'] = DateTime.DateTime('2007/8/12 23:59')
-deaddates['cest'] = DateTime.DateTime('2007/8/12 23:59')
-deaddates['pt'] = DateTime.DateTime('2007/12/24 23:59')
+deaddates['cest'] = DateTime.DateTime('2007/12/24 23:59')
+#deaddates['pt'] = DateTime.DateTime('2007/12/24 23:59')
 configuration += ('deaddate',deaddates),
 
@@ -77,6 +77,6 @@
 confirm['prence'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
 confirm['pce'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
-confirm['cest'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
-confirm['pt'] = """I hereby acknowledge by ticking this check box that if it is discovered
+#confirm['cest'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
+confirm['cest'] = """I hereby acknowledge by ticking this check box that if it is discovered
 at any time, that I do not possess any of the qualifications, which I have obtained, I will be
 expelled from the University and shall not be readmitted for the same or any other programme,
@@ -153,5 +153,5 @@
     info[co_name] = co_dict[screening_type]
 layout = "application_%s" % screening_type
-without_reg_no = screening_type in ('prence','pt')
+without_reg_no = screening_type in ('prence','cest')
 info['expired'] = current.greaterThan(deaddates[screening_type])
 
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2739)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2743)
@@ -6,5 +6,5 @@
            info options/info;
            expired info/expired;
-           venue_display python:info['screening_type']=='pde';
+           venue_display python:False;
            deadline info/deadline
            "
@@ -80,5 +80,5 @@
             <p>Instructions :</p>
             <ul>
-              <li>Enter your <span tal:condition="python:not info['screening_type']=='prence'">JAMB Registration Number and the</span> Application PIN.</li> 
+              <li>Enter your <span tal:condition="python:not info['screening_type'] in ('prence','cest')">JAMB Registration Number and the</span> Application PIN.</li> 
               <li>Fill the form and upload your Passport Photograph with red background in jpg format.</li> 
               <li>Save and preview picture.