Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py_deprecated
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py_deprecated	(revision 2758)
+++ 	(revision )
@@ -1,53 +1,0 @@
-##parameters=REQUEST
-# $Id: apply_admission.py 892 2006-11-18 21:14:18Z henrik $
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-pr = context.portal_registration
-
-
-type_name = 'StudentApplication'
-ti = context.portal_types[type_name]
-REQUEST.set('type_name',type_name)
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_application_fe',
-                      schema_id= 'student_application',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "apply_admission",
-                      button = "Open JAMB Record",
-                      )
-if psm == 'invalid':
-    return context.application_pin_form(rendered = res,
-                                 psm = "Please correct your input!",
-                                 #psm = "%s, %s" % (psm,ds),
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.application_pin_form(rendered = res,
-                                 psm = None,
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    s_id = ds.get('s_id')
-    pin = str(ds.get('app_ac_pin'))
-    return context.REQUEST.RESPONSE.redirect("%s/logged_in?__ac_name=%s&__ac_password=%s&pin=%s"
-          % (context.absolute_url(),s_id,pin.split('-')[2],pin))
-
-return
-
-
Index: WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2758)
+++ WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2760)
@@ -12,9 +12,6 @@
           show_check_boxes info/show_check_boxes;
           is_student info/is_student;
-          status_info info/status_info;
-          review_state info/review_state;
-          validated python:review_state in ('courses_validated',);
-          view_only info/view_only"
-          >
+          validated info/validated;
+          ">
       <h3>Course Registration Slip for <span tal:content="here/title_or_id" /></h3>
       <br />
Index: WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2758)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2760)
@@ -42,4 +42,5 @@
 student_id = context.getStudentId()
 level_id  =  context.getId()
+level_doc = info['doc'] = context.getContent()
 
 info['is_so'] = is_so = context.isSectionOfficer()
@@ -48,31 +49,35 @@
 info['student'] = student = context.students_catalog(id=student_id)[0]
 info['review_state'] = review_state = student.review_state
-info['view_only'] =  review_state != "school_fee_paid"
+is_current_level = level_id == student.level
+school_fee_paid =  review_state == 'school_fee_paid'
+info['is_current_level'] = is_current_level
+info['has_verdict'] = has_verdict = level_doc.verdict
 
-level_doc = info['doc'] = context.getContent()
+info['submission_allowed']= school_fee_paid and is_current_level and not has_verdict
+info['validation_allowed']= review_state == 'courses_registered' and is_current_level
+info['rejection_allowed']= review_state in ('courses_registered', 'courses_validated',) and is_current_level
+info['validated'] = review_state == 'courses_validated' and is_current_level
 
-school_fee_paid =  review_state == 'school_fee_paid'
-is_current_level = level_id == student.level
+info['show_check_boxes'] =  (is_ca and school_fee_paid and is_current_level and not has_verdict) or\
+                            (is_student and school_fee_paid and is_current_level and not has_verdict) or\
+                            (is_so and is_current_level and not has_verdict)
 
-
-
-info['show_check_boxes'] =  (is_ca and school_fee_paid and is_current_level and not level_doc.verdict) or\
-                            (is_student and school_fee_paid and is_current_level and not level_doc.verdict) or\
-                            (is_so and is_current_level and not level_doc.verdict)
-
-info['is_current_level'] = is_current_level
+info['verdict'] = context.portal_vocabularies.verdicts.get(level_doc.verdict).upper()
+info['session'] = context.portal_vocabularies.sessions.get(level_doc.session)
+info['level_str'] = context.portal_vocabularies.levels.get(level_id)
 
 info['choosen_ids'] = request.get('ids',[])
-info['status_info'] = ""
-if is_student:
-    if review_state == 'courses_registered':
-        info['status_info'] = "Request for course validation pending"
-    elif review_state == 'courses_validated':
-        info['status_info'] = "Courses validated"
-elif is_ca:
-    if review_state == 'courses_registered':
-        info['status_info'] = "Please validate these courses"
-    elif review_state == 'courses_validated':
-        info['status_info'] = "Courses validated"
+
+#info['status_info'] = ""
+#if is_student:
+#    if review_state == 'courses_registered':
+#        info['status_info'] = "Request for course validation pending"
+#    elif review_state == 'courses_validated':
+#        info['status_info'] = "Courses validated"
+#elif is_ca:
+#    if review_state == 'courses_registered':
+#        info['status_info'] = "Please validate these courses"
+#    elif review_state == 'courses_validated':
+#        info['status_info'] = "Courses validated"
 
 cert_id = student.course
@@ -94,11 +99,4 @@
     info['gpa'] = "%4.2f" % (float(gpa)/int(total_credits))
 
-info['submission_allowed']= school_fee_paid and level_id == student.level and not level_doc.verdict
-info['validation_allowed']= review_state == 'courses_registered' and is_current_level
-info['rejection_allowed']= review_state in ('courses_registered', 'courses_validated',) and is_current_level
-
-info['verdict'] = context.portal_vocabularies.verdicts.get(level_doc.verdict).upper()
-info['session'] = context.portal_vocabularies.sessions.get(level_doc.session)
-info['level_str'] = context.portal_vocabularies.levels.get(level_id)
 
 
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2758)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2760)
@@ -11,11 +11,12 @@
                        is_ca info/is_ca;
                        show_check_boxes info/show_check_boxes;
+                       has_verdict info/has_verdict;
+                       submission_allowed info/submission_allowed;
+                       rejection_allowed info/rejection_allowed;
                        is_current_level info/is_current_level;
                        is_student info/is_student;
-                       status_info info/status_info;
-                       review_state info/review_state;
-                       view_only info/view_only">       
+                       ">       
     <div style="text-align: right" 
-         tal:condition="python:review_state in ('courses_registered','courses_validated',) and is_current_level">
+         tal:condition="rejection_allowed">
     <a href="" target="slip" tal:attributes="href string:course_registration_slip"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
@@ -26,5 +27,5 @@
     
     <div style="text-align: right" 
-         tal:condition="info/verdict">
+         tal:condition="has_verdict">
     <a href="" target="slip" tal:attributes="href string:new_session_results_slip"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
@@ -60,9 +61,9 @@
             <td tal:content="info/total_credits" />
           </tr>
-          <tr>
+          <tr tal:condition="has_verdict">
             <th>Verdict:</th> 
             <td><span tal:content="info/verdict" /></td>
           </tr>      
-          <tr>
+          <tr tal:condition="has_verdict">
             <th>GPA:</th> 
             <td><span tal:content="info/gpa" /></td>
@@ -98,5 +99,5 @@
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
-          <td tal:condition="python:info['submission_allowed']" align="center" width="5%">&nbsp;</td>
+          <td tal:condition="submission_allowed" align="center" width="5%">&nbsp;</td>
        
         </tr>
@@ -150,5 +151,5 @@
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
-          <td tal:condition="python:info['submission_allowed']" width="5%" align="center">
+          <td tal:condition="submission_allowed" width="5%" align="center">
             <a href="edit" tal:attributes="href string:course_edit/${row/code}"
             target="edit"
@@ -182,5 +183,5 @@
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
-          <td tal:condition="python:info['submission_allowed']" width="5%" align="center">
+          <td tal:condition="submission_allowed" width="5%" align="center">
           <a href="edit" tal:attributes="href string:course_edit/${row/code}"
           target="edit"
@@ -205,5 +206,5 @@
       <br />
       
-      <table tal:condition="python: is_student and info['submission_allowed'] and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+      <table tal:condition="python: is_student and submission_allowed and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
              class="folderButtons">
         <tr>
@@ -267,5 +268,5 @@
                      class="context" value="Update" 
                      />
-              <input tal:condition="info/submission_allowed" type="submit" name="register_courses:method"
+              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
                      class="context" value="Submit" />  
               <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
@@ -287,5 +288,5 @@
           <td align="left" valign="top" rowspan="3"></td>
           <td align="left" valign="top">
-              <input tal:condition="python: info['submission_allowed']"
+              <input tal:condition="submission_allowed"
                      type="button" value="Select all" class="context"
                      onclick="someJavaScriptFunctionThatWillBeReplaced"
@@ -294,5 +295,5 @@
                      % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                      />
-              <input tal:condition="python: info['submission_allowed']"
+              <input tal:condition="submission_allowed"
                      type="submit" name="delete_course_result:method" value="Delete selected"
                      class="destructive" i18n:attributes="value"
@@ -300,9 +301,9 @@
                      ('Do you really want to delete the courses selected?', )" 
                      />
-              <input tal:condition="python: info['submission_allowed']"
+              <input tal:condition="submission_allowed"
                      type="submit" name="refresh_level:method"
                      class="context" value="Update" 
                      />
-              <input tal:condition="info/submission_allowed" type="submit" name="register_courses:method"
+              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
                      class="context" value="Submit" />  
               <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"