Index: WAeUP_SRP/base/WAeUPTables.py
===================================================================
--- WAeUP_SRP/base/WAeUPTables.py	(revision 2760)
+++ WAeUP_SRP/base/WAeUPTables.py	(revision 2761)
@@ -1319,11 +1319,17 @@
         normal1 = []
         normal2 = []
-        normal3 = []  
+        normal3 = []
         total_credits = 0
         gpa = 0
         for brain in course_results:
             d = {}
-            weight = ''
-            grade = ''
+            
+            for field in self.schema():
+                d[field] = getattr(brain,field,'')
+
+            d['weight'] = ''
+            d['grade'] = ''
+            d['score'] = ''
+
             if str(brain.credits).isdigit():
                 credits = int(brain.credits)
@@ -1333,16 +1339,10 @@
 
                     grade,weight = self.getGradesFromScore(score)
-                    #weight = 4
-                    #grade = 'B'
                     if weight:
                         gpa += weight * credits
-  
-            
-            for field in self.schema():
-                d[field] = getattr(brain,field,'')
-
-            d['weight'] = weight
-            d['grade'] = grade          
-            
+                        d['weight'] = weight
+                        d['grade'] = grade
+                        d['score'] = score
+
             d['coe'] = ''
             if brain.core_or_elective:
@@ -1359,5 +1359,5 @@
             d['semester'] = str(course.semester)
             if brain.carry_over:
-                d['coe'] = 'Carry-Over'
+                d['coe'] = 'CO'
                 carry_overs.append(d)
             else:
Index: WAeUP_SRP/base/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2760)
+++ WAeUP_SRP/base/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2761)
@@ -1,3 +1,3 @@
-z## Script (Python) "getPaymentsFolderInfo"
+## Script (Python) "getPaymentsFolderInfo"
 ##bind container=container
 ##bind context=context
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2760)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2761)
@@ -77,4 +77,17 @@
       <br />
       <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+
+        <tr>
+        <th tal:attributes="colspan python: test(show_check_boxes,'2','1')">Both Semesters</th>
+        <th align='center'></th> 
+        <th align='center'>sm</th>
+        <th align='center'>cr</th>
+        <th align='center'>sc</th>
+        <th align='center'>gr</th>
+        <th align='center'>wt</th>
+        <th align='center'></th>
+        <th tal:condition="submission_allowed" align='center'></th>   
+            
+        </tr>          
         <tr tal:repeat="row info/carry_overs"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
@@ -128,5 +141,5 @@
         <th align='center'>wt</th>
         <th align='center'></th>
-        <th align='center'></th>   
+        <th tal:condition="submission_allowed" align='center'></th>   
             
         </tr>                
@@ -206,5 +219,5 @@
       <br />
       
-      <table tal:condition="python: is_student and submission_allowed and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+      <table tal:condition="python: is_student and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
              class="folderButtons">
         <tr>
@@ -283,10 +296,10 @@
         </tr>
       </table>
-      <table tal:condition="python:is_ca and is_current_level" width="100%" cellspacing="0" cellpadding="2"
+      <table tal:condition="python:is_ca and is_current_level and not has_verdict" width="100%" cellspacing="0" cellpadding="2"
              class="folderButtons">
         <tr>
           <td align="left" valign="top" rowspan="3"></td>
           <td align="left" valign="top">
-              <input tal:condition="submission_allowed"
+              <input tal:condition="show_check_boxes"
                      type="button" value="Select all" class="context"
                      onclick="someJavaScriptFunctionThatWillBeReplaced"
@@ -295,5 +308,5 @@
                      % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                      />
-              <input tal:condition="submission_allowed"
+              <input tal:condition="show_check_boxes"
                      type="submit" name="delete_course_result:method" value="Delete selected"
                      class="destructive" i18n:attributes="value"
@@ -301,5 +314,5 @@
                      ('Do you really want to delete the courses selected?', )" 
                      />
-              <input tal:condition="submission_allowed"
+              <input tal:condition="show_check_boxes"
                      type="submit" name="refresh_level:method"
                      class="context" value="Update" 