Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml	(revision 2758)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml	(revision 2764)
@@ -493,5 +493,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
+    <property name="vocabulary">cos_cest</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies.xml	(revision 2758)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies.xml	(revision 2764)
@@ -44,4 +44,5 @@
  <object name="global_roles" meta_type="CPS Vocabulary"/>
  <object name="cos" meta_type="CPS Vocabulary"/>
+ <object name="cos_cest" meta_type="CPS Vocabulary"/>
  <object name="screening_types" meta_type="CPS Vocabulary"/>
  <object name="aos" meta_type="CPS Vocabulary"/>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/cos_cest.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/cos_cest.xml	(revision 2764)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/cos_cest.xml	(revision 2764)
@@ -0,0 +1,61 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="cos_cest" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid="">--</item>
+    <item key="DAE" msgid="">Diploma in Agricultural Economics</item>
+    <item key="DACES" msgid="">Diploma in Agricultural Cooperatives and Ext. Services</item>
+    <item key="DFS" msgid="">Diploma in Fisheries, Forestry and Wildlife Management</item>
+    <item key="BAE" msgid="">Bachelor in Agricultural Economics and Extension</item>
+    <item key="BAN" msgid="">Bachelor in Agric (Animal Science)</item>
+    <item key="BAC" msgid="">Bachelor in Agric (Crop Science)</item>
+    <item key="BAS" msgid="">Bachelor in Agric (Soil Science)</item>
+    <item key="BAFW" msgid="">Bachelor in Agric (Forestry and Wildlife)</item>
+    <item key="BAF" msgid="">Bachelor in Agric (Fisheries)</item>
+    <item key="DISD" msgid="">Diploma in Int. Studies and Diplomacy</item>
+    <item key="DFA" msgid="">Diploma in Fine and Applied Arts</item>
+    <item key="DTA" msgid="">Diploma in Theatre Arts</item>
+    <item key="BEL" msgid="">B.A English and Literature</item>
+    <item key="BAH" msgid="">Bachelor of Arts in History</item>
+    <item key="BISD" msgid="">Bachelor in Int. Studies and Diplomacy</item>
+    <item key="BFA" msgid="">Bachelor in Fine and Applied Arts</item>
+    <item key="DAD" msgid="">Diploma in Adult Education</item>
+    <item key="DICE" msgid="">Diploma in Computer Engineering</item>
+    <item key="DICHE" msgid="">Diploma in Chemical Engineering</item>
+    <item key="DIL" msgid="">Diploma in Law</item>
+    <item key="DAM" msgid="">Diploma in Applied Microbiology</item>
+    <item key="DFBS" msgid="">Diploma in Food and Brewing Science</item>
+    <item key="DSLT" msgid="">Diploma in Science Laboratory Technology</item>
+    <item key="BES" msgid="">Bachelor in Environmental Science</item>
+    <item key="BSLT" msgid="">Bachelor in Science Laboratory Technology</item>
+    <item key="DIA" msgid="">Diploma in Accounting</item>
+    <item key="DBF" msgid="">Diploma in Banking and Finance</item>
+    <item key="BIA" msgid="">Bachelor in Accounting</item>
+    <item key="BBF" msgid="">Bachelor in Banking and Finance</item>
+    <item key="ODPT" msgid="">Doctor of Pharmacy (Part Time)</item>
+    <item key="DAIC" msgid="">Diploma in Analytical and Industrial Chemistry</item>
+    <item key="DIG" msgid="">Diploma in Geology</item>
+    <item key="DDP" msgid="">Diploma in Data Processing</item>
+    <item key="BIP" msgid="">Bachelor in Industrial Physics</item>
+    <item key="BSCS" msgid="">Bachelor in Statistics with Computer Science</item>
+    <item key="DSW" msgid="">Diploma in SOCIAL Works</item>
+    <item key="BPA" msgid="">Bachelor in Public Administration</item>
+    <item key="BLG" msgid="">Bachelor in Local Government Management</item>
+    <item key="BSW" msgid="">Bachelor in SOCIAL Works</item>
+    <item key="DME" msgid="">Diploma in Maths Education</item>
+    <item key="DPE" msgid="">Diploma in Physical Education</item>
+    <item key="DEC" msgid="">Diploma in Earlier Childhold Education</item>
+    <item key="DLS" msgid="">Diploma in Library and Information Science</item>
+    <item key="DHAM" msgid="">Diploma in Health Administration and Management</item>
+    <item key="DNAM" msgid="">Diploma in Nursing Administration and Management</item>
+    <item key="DHS" msgid="">Diploma in Primary Healthcare and Statistics</item>
+    <item key="CPA" msgid="">Certificate in Public Administration</item>
+    <item key="DPA" msgid="">Diploma in Public Administration</item>
+    <item key="ADHFM" msgid="">Advanced Diploma Healthcare Financing and Management</item>
+    <item key="CEHD" msgid="">Certificate in Early Child Health and Development</item>
+     
+</object>