Index: WAeUP_SRP/base/skins/waeup_design/msie.css.dtml_deprecated
===================================================================
--- WAeUP_SRP/base/skins/waeup_design/msie.css.dtml_deprecated	(revision 2783)
+++ 	(revision )
@@ -1,28 +1,0 @@
-/*
-Internet Explorer CSS customization.
-This file is used and read *only* by MSIE through the use of a MSIE conditional
-comment. This is the place to put instructions to correct the rendering problems
-specific to MSIE.
-
-$Id: msie.css.dtml 805 2006-11-09 09:38:29Z joachim $
-*/
-
-<dtml-let last_modified="_.DateTime()-14" expires="_.DateTime()+1" >
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Content-Type', 'text/css' )">
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Last-Modified', last_modified.toZone('GMT').rfc822() )">
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Cache-Control', 'max-age=36000, must-revalidate' )">
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Expires', expires.toZone('GMT').rfc822() )" >
-</dtml-let>
-
-/*
-The MSIE PNG behavior is disabled by default but kept here in case you need it.
-This MSIE behavior was supposed to work for MSIE >= 5.5, but *some* versions of
-MSIE 5.5 have problems with it. So feel free to use it back again if your
-visitors do not use MSIE 5.5 or when MSIE 5.5 becomes history.
-*/
-
-
-img {
-  behavior: url(pngbehavior.htc);
-}
-
Index: WAeUP_SRP/base/skins/waeup_epayment/epayment_cb.py_not_used
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/epayment_cb.py_not_used	(revision 2783)
+++ 	(revision )
@@ -1,74 +1,0 @@
-## Script (Python) "epayment_cb"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id: epayment_cb.py 1867 2007-06-08 09:59:59Z joachim $
-"""
-payment callback
-"""
-import logging
-logger = logging.getLogger('Skins.epayment_cb')
-from AccessControl import Unauthorized
-import DateTime
-if context.portal_membership.isAnonymousUser():
-    return None
-
-request = context.REQUEST
-students = context.portal_url.getPortalObject().campus.students
-wftool = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-member_id = str(member)
-student_id = context.getStudentId()
-if student_id is None or student_id != member_id:
-    logger.info('%s tried to access payment object of %s' % (member_id,student_id))
-    referer = request.get('HTTP_REFERER','none')
-    logger.info('%s:%s illegal access, referer = %s' % (member_id,student_id,referer))
-    real_ip = request.get('HTTP_X_REAL_IP',"none")
-    logger.info('%s:%s illegal access, real_x_ip = %s' % (member_id,student_id,real_ip))
-    return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-
-student = getattr(students,student_id)
-
-resp_codes = (("x_RespDesc","resp_desc"),
-              ("x_RespPayRef","resp_pay_reference"),
-              ("x_RespCode","resp_code"),
-              ("x_CardNum","resp_card_num"),
-              ("x_ApprAmt","resp_approved_amount"),
-              )
-pd = {}
-#from Products.zdb import set_trace;set_trace()
-for rc,pdk in resp_codes:
-    pd[pdk] = request.get(rc)
-try:
-    context.getContent().edit(mapping=pd)
-except UnAuthorized,E:
-    logger.info('%s ' % student_id)
-
-#resp = pd['resp_desc']
-#if  resp.startswith('Appro') and resp.endswith('essful'):
-resp = pd['resp_code']
-if  resp == '00':
-    wftool.doActionFor(student,'pay_school_fee')
-    logger.info('%s received valid callback' % student_id)
-    referer = request.get('HTTP_REFERER','none')
-    logger.info('%s valid callback referer = %s' % (student_id,referer))
-    real_ip = request.get('HTTP_X_REAL_IP',"none")
-    logger.info('%s valid callback real_ip = %s' % (student_id,real_ip))
-
-elif len(resp) < 3:
-    logger.info('%s received no callback' % student_id)
-else:
-    logger.info('%s received unsuccessfull callback' % student_id)
-try:
-    wftool.doActionFor(context,'close')
-except:
-    logger.info('%s no workflow action close' % student_id)
-        
-
-return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url())
Index: WAeUP_SRP/base/skins/waeup_epayment/goto_wema_form.pt_not_used
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/goto_wema_form.pt_not_used	(revision 2783)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main"
-                tal:define="info options/info">
-                
-        <h3>Authorize Online Payment! </h3>
-        <br />
-                
-      <form method="post" action="pay_online"
-            tal:attributes="action info/action ">
-      <span tal:repeat="arg python:info['args'].items()"
-            tal:omit-tag="">
-          <input type="hidden" tal:attributes="name python:arg[0];value python:arg[1]" />
-      </span>          
-        <table>
-          <tr>
-            <td width="100px">
-            Payment:</td>
-            <td tal:content="info/type_description"></td>
-          </tr>
-          <tr>
-            <td>
-            Name:
-            </td>
-            <td tal:content="info/pay_bill_to" />
-          </tr>
-          <tr>
-            <td >
-            Amount:
-            </td>
-            <td> Naira <span tal:content="info/amount" /></td>
-          </tr>
-          <tr>
-            <td >
-            Bank:
-            </td>
-            <td>Wema Bank</td>
-          </tr>          
-        </table>
-        <br />
-        <input type="submit" 
-               class="standalone" 
-               name="goto_bank" 
-               value="Proceed to Bank" 
-               />
-      </form>
-    </metal:main>
-</metal:body>
-
Index: WAeUP_SRP/base/skins/waeup_epayment/pay_online.py_not_used
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/pay_online.py_not_used	(revision 2783)
+++ 	(revision )
@@ -1,113 +1,0 @@
-## Script (Python) "pay_online"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id: pay_online.py 1633 2007-03-23 22:20:52Z henrik $
-"""
-pay online
-"""
-from urllib import urlencode
-import logging
-logger = logging.getLogger('Skins.pay_online')
-import DateTime
-
-if context.portal_membership.isAnonymousUser():
-    return None
-
-request = context.REQUEST
-wftool = context.portal_workflow
-students = context.portal_url.getPortalObject().campus.students
-
-student_id = context.getStudentId()
-student = getattr(students,student_id)
-
-sbrain = context.students_catalog(id=student_id)[0]
-amount,description = context.getSchoolFee(sbrain.faculty)
-##res = context.portal_catalog(portal_type="Certificate",
-##                                     id = sbrain.course)
-##
-##if not res:
-##    logger.info('"%s","certificate not found", "%s"' % (student_id,course))
-##    sfc = "ART"
-##else:
-##    sfc = res[0].getPath().split('/')[-4]
-info = {}
-info['site_id'] = '300100100'
-info['currency_id'] = '566'
-info['amount'] = amount
-info['type_code'] = sbrain.faculty
-info['type_description'] = description
-info['pay_bill_to'] = sbrain.name
-info['pay_ship_to'] = "University of Benin"
-info['student_id'] = student_id
-info['student_name'] = sbrain.name
-info['student_email'] = sbrain.email
-now = DateTime.DateTime()
-info['date'] = now
-order_id = info['order_id'] = "%d" % int(now.timeTime()*1000)
-info['order_id'] = "%s%s" % (student_id[1:],order_id)
-p_id = "p%s" % order_id
-
-#from Products.zdb import set_trace;set_trace()
-if student_id is None:
-    return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
-
-if context.portal_url().find('uniben-demo.waeup.org') >-1 or\
-   context.portal_url().find('uniben.waeup.org') >-1:
-    info['action'] = "http://www.wemaonlinepayments.biz/payment.aspx"
-else:
-    #pass
-    #return None
-    info['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),p_id)
-
-
-if "payments" not in student.objectIds():
-    student.invokeFactory('PaymentsFolder','payments')
-    payments = getattr(student,'payments')
-    d = {}
-    d['Title'] = 'Payments'
-    payments.getContent().edit(mapping=d)
-    wftool.doActionFor(payments,'open')
-else:
-    payments = getattr(student,'payments')
-if request.has_key('epayment'):
-    return context.wema_form(info=info)
-
-
-payments.invokeFactory('Payment', p_id)
-payment = getattr(payments,p_id)
-wftool.doActionFor(payment,'open')
-d = {}
-d.update(info)
-#from Products.zdb import set_trace;set_trace()
-payment.getContent().edit(mapping=d)
-#wftool.doActionFor(payment,'close')
-#wftool.doActionFor(student,'pay_school_fee')
-info['callback_url'] = "%s/payments/%s/epayment_cb" % (student.absolute_url(),p_id)
-
-logger.info('%(student_id)s initiated online school fee payment with order_id %(order_id)s and callback url %(callback_url)s' % info)
-payment_fields = (('x_SiteID','site_id'),
-                  ('x_Redirect_url','callback_url'),
-                  ('x_CurrencyID','currency_id'),
-                  ('x_PaymentCode','type_code'),
-                  ('x_PayDesc','type_description'),
-                  ('x_Billto','pay_bill_to'),
-                  ('x_Shipto','pay_ship_to'),
-                  ('x_PayerID','student_id'),
-                  ('x_PayerNames','student_name'),
-                  ('x_PayerEmail','student_email'),
-                  ('x_OrderID','order_id'),
-                  ('x_amt','amount'),
-                  )
-args = {}
-for arg,field in payment_fields:
-    args[arg] = info[field]
-info['args'] = args
-return context.goto_wema_form(info=info)
-url = info['action'] + "?" + urlencode(args)
-request.RESPONSE.redirect(url)
Index: WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py_deprecated
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/simulate_callback.py_deprecated	(revision 2783)
+++ 	(revision )
@@ -1,29 +1,0 @@
-##parameters=REQUEST,matric_no=None
-# $Id: simulate_callback.py 1571 2007-03-17 15:25:56Z henrik $
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-pr = context.portal_registration
-validate = REQUEST.has_key("cpsdocument_edit_button")
-
-import logging
-logger = logging.getLogger('Skins.simulate_callback')
-
-args = {}
-args['x_RespDesc'] = 'Simulated Callback'
-args['x_RespPayRef'] = 'GTB|WEB|ISW|1-01-2000|000234'
-args['x_RespCode'] = 'XX'
-args['x_CardNum'] = '0000'
-args['x_ApprAmt'] = REQUEST.get('x_amt')
-
-
-student_id = context.getStudentId()
-logger.info('%s received simulated callback' % student_id)
-
-from urllib import urlencode
-#url = "%s/epayment_cb/?%s" % (context.absolute_url(),urlencode(args))
-url = "%s" % (context.absolute_url())
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/base/skins/waeup_epayment/wema_form.pt_not_used
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/wema_form.pt_not_used	(revision 2783)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main"
-                tal:define="info options/info">
-                
-        <h3>Confirm Your Payment Data! </h3>
-        <br />
-                
-      <form method="post" action="pay_online">
-        <table>
-          <tr>
-            <td width="100px">
-            Payment:</td>
-            <td tal:content="info/type_description"></td>
-          </tr>
-          <tr>
-            <td>
-            Name:
-            </td>
-            <td tal:content="info/pay_bill_to" />
-          </tr>
-          <tr>
-            <td >
-            Amount:
-            </td>
-            <td> Naira <span tal:content="info/amount" /></td>
-          </tr>
-          <tr>
-            <td >
-            Bank:
-            </td>
-            <td>Wema Bank</td>
-          </tr>          
-        </table>
-        <br />
-        <input type="submit" 
-               class="standalone" 
-               name="goto_bank" 
-               value="Confirm" 
-               />
-
-      </form>
-    </metal:main>
-</metal:body>
-